/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/
@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap');

:root{
	--cl-x: #001E61;
	--cl-y: #8DC24F;
	--fs-title: 2rem;
}


p:last-of-type{
    margin-bottom: 0;
}

.row-inner-full > .col > .col-inner{
	height: 100%;
}

.row-slider .flickity-slider > .col{
	padding-bottom: 0 !important;
}


.button span{
    line-height: normal;
}

.button.is-outline{
    border-width: 1px;
    line-height: 2.4em;
}

.svg-clip-path {
    width: 0;
    height: 0;
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    opacity: 0;
}

.wpcf7-form{
    margin-bottom: 0;
}

.wpcf7 .wpcf7-spinner{
    display: none;
}

.wpcf7 .wpcf7-not-valid-tip{
    position: absolute;
    margin-top: 0rem;
    font-size: 0.75rem;
    z-index: 1;
}

.social-icons a{
    width: 2rem;
    height: 2rem;
    min-width: unset !important;
    min-height: unset;
    display: inline-flex !important;
    justify-content: center;
    align-items: center;
    margin: 0;
    border: 1px solid #fff !important;
    padding: 0 !important;
    line-height: normal;
    font-size: 14px;
}

.social-icons a i{
    top: unset;
}

.social-icons a.is-outline{
    color: #fff;

}


/*===*/
.header-nav.header-nav-main > li.menu-item a{
    font-size: 1rem;
    font-weight: 700;
    font-family: "Manrope", sans-serif;
    text-transform: uppercase;
}

.header-nav.header-nav-main.nav-spacing-xlarge.nav-left > li{
    margin: 0 1.5rem;
}

.header-nav.header-nav-main > li.menu-item.active a{

}

.header-bottom{
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.25);
}

.header-nav.header-bottom-nav li.menu-item a{
    font-weight: 400;
    font-family: "Manrope", sans-serif;
}

.header-search-lightbox{
    .button{
        width: 2.5rem;
        height: 2.5rem;
        min-width: unset;
        min-height: unset;
        border: 0;
        border-radius: 50%;
        background-color: transparent;
        background-image: url('/wp-content/themes/flatsome-child/images/icon-search.svg');
        background-repeat: no-repeat;
        background-size: 60%;
        background-position: center center;
        color: #000 !important;
    }
    .button .icon-search{
        display: none;
    }
}

#search-lightbox{
    font-size: 1rem;
}

.searchform-wrapper .flex-col{
    padding: 0 !important;
}

.searchform-wrapper.form-flat .flex-col:last-of-type{
    margin-left: -2.5rem;
}

.searchform-wrapper input[type=search]{
    height: unset;
    padding: 0.5rem 1rem;
}

.searchform-wrapper button[type="submit"]{
    margin: 0;
    padding: 0;
}


.polylang_langswitcher{
    display: flex;
    align-items: center;
    list-style: none;
    margin-bottom: 0;
    padding-left: 0;
    gap: 0.25rem;
}

.polylang_langswitcher li{
    margin-bottom: 0;
}

.polylang_langswitcher li img{
    width: 30px;
    height: auto !important;
}



/*===*/
.banner-page{
    height: 25rem;
    background-color: transparent;
}

.banner-page .bg-fill{
    background-position: center bottom;
}

.banner-page .title-banner-page{
    margin: 0;
    font-size: clamp(1rem, 0.8rem + 1vw, 2rem);
    font-weight: 700;
    line-height: normal;
}

.rank-math-breadcrumb p{
    margin-top: 0.25rem;
}

/**/
.main-title h2{
    margin-bottom: 0;
    font-size: var(--fs-title);
}

.box-main-title h2{
    margin-bottom: 0.325rem;
    font-size: var(--fs-title);
    position: relative;
}

.box-main-title.has-label-title h2 + *:first-of-type{
    margin-top: 1.5rem;
}

.box-main-title.has-label-title h2:after{
    content: "";
    position: absolute;
    left: 50%;
    top: -0.5rem;
    bottom: -0.5rem;
    z-index: -1;
    width: 30rem;
    transform: translateX(-50%);
    background: linear-gradient(
        90deg,
        rgba(255, 255, 255, 1) 0%,
        rgba(231, 251, 249, 1) 50%,
        rgba(255, 255, 255, 1) 100%
      );
}


/*===*/
.box-counter{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2rem;
    border-radius: 0.5rem;
    background-color: var(--cl-x);
    color: #fff;
}


/*===*/
.text-number{
    font-size: clamp(4rem, 3.6rem + 2vw, 6rem);
    font-weight: 700;
    line-height: 1;
    background: linear-gradient(
    180deg,
    rgba(225, 225, 225, 1) 0%,
    rgba(255, 255, 255, 1) 100%
    );
    -webkit-background-clip: text !important;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-fill-color: transparent;
}


.box-blog-post{
    margin: 2px;
    border-radius: 0.55rem;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.25);
}

.box-blog-post .box-text{
    padding: 1rem;
}

.box-blog-post .box-text .box-text-inner{
    display: flex;
    flex-direction: column;
}

.box-blog-post .box-text .post-meta{
    font-size: 0.875rem;
    order: -1;
}

.box-blog-post .box-text .post-title{
    font-size: 1.25rem;
}

.box-blog-post .box-text .from_the_blog_excerpt{
    font-size: 1rem;
    line-height: normal;
}


/*===*/
.box-recruitment{
    display: flex;
    gap: 1rem;
    padding-top: 30px;
    border-top: 1px dashed rgba(0, 0, 0, 0.2);
}

.box-recruitment .box-thumbnail{
    width: 35%;
}

.box-recruitment .box-thumbnail .image-cover{
    padding-top: 75%;
    border-radius: 5px;
}

.box-recruitment .box-content{
    flex: 1;
}

.box-recruitment .box-content .title{
    margin-bottom: 0.25rem;
}



.blog-wrapper{
    padding-top: clamp(1.875rem, 1.5rem + 1.875vw, 3.75rem);
}



/*===*/
.col-border-x-1 .col-inner{
    border: 1px solid var(--cl-x);
}


.category-page-row{
    padding-top: 0;
}


/*===*/
.product-category.col{
    width: max-content;
    max-width: unset !important;
}

.box-category{
    padding: 1rem 2rem;
    background-color: #E7F1FB;
    border-radius: 5px;
}

.box-category .box-image{
    width: 3rem;
    height: 3rem;
}

.box-category .box-image img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.box-category .box-text{
    margin-top: 0.75rem;
    padding: 0;
}

.box-category .header-title{
    white-space: nowrap;
    font-size: 1rem;
    font-weight: 400;
    text-transform: capitalize;
}

/*===*/
.product-small.box{
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
}

.product-small.box .box-image{

}

.product-small.box .box-text{
    padding: 1rem;
}

.product-small.box .box-text .product-title{
    margin: 0;
    font-size: 1.125rem;
    font-weight: 700;
}

.product-small.box .box-text .box-excerpt{
    font-size: 1rem;
    line-height: 1.2;
}


.shop-page-title{
    display: none;
}



/*=== Footer*/
.row-footer:after{
    content: none;
}

.col-footer h3{
    font-size: clamp(1rem, 0.95rem + 0.25vw, 1.25rem);
}

.col-footer ul li{
    display: flex;
    align-items: baseline;
    gap: 0.5rem;
    list-style: none;
    margin-left: 0;
}

.col-footer ul li i{
    color: #fff;
}

.col-footer .ux-menu .ux-menu-link + .ux-menu-link{
    /*margin-top: 0.5rem !important;*/
}

.col-footer .ux-menu .ux-menu-link__link{
    flex: unset;
    min-height: unset;
    padding: 0;
    transition: all .3s ease-in-out;
    color: var(--cl-x);
}

.col-footer .ux-menu .ux-menu-link__link:hover{
    transform: translateX(0.5rem);
    color: var(--cl-y) !important;
}

.social-icons.social-footer{
    display: flex;
    justify-content: center;
    gap: 0.25rem;
}

.social-icons.social-footer a{
    margin: 0;
    padding: 0.25rem;
    height: unset;
    min-width: unset;
    min-height: unset;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 0;
    color: var(--cl-y);
    font-size: 1rem;
}

.social-footer a i{
    top: 0;
    line-height: normal;
    font-size: 1rem;
}

.icon-envelop:before{
    content: "\f0e0";
    font-family: "Font Awesome 6 Pro";
}

.absolute-footer{
    display: none;
}

.menu-footer-bottom{
    flex-direction: row;
    gap: 1.5rem;
}

.menu-footer-bottom .ux-menu-link__link{
    min-height: unset;
    padding: 0;
}

.menu-footer-bottom .ux-menu-link__link:hover{
    color: var(--cl-y) !important;
}

.form-footer{
    display: flex;
    background-color: #fff;
    width: 60%;
    padding: 0 1rem;
    border-radius: 5px;
}

.form-footer .wpcf7-form-control-wrap{
    flex: 1;
}

.form-footer input{
    height: unset;
    margin-bottom: 0;
    padding: 1rem 0;
    background-color: transparent;
    box-shadow: none !important;
    border: 0;
    font-weight: 700;
}

.form-footer button{
    margin: 0;
    padding: 0;
}

.footer-follow-icons a.icon{
    width: 2.5rem;
    height: 2.5rem;
    background-color: #fff;
    color: var(--cl-x);
    font-size: 1.25rem;
}


.back-to-top{
    width: 2.75rem;
    height: 2.75rem;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.25rem;
    font-weight: 700;
}


.box-map{
    border-radius: clamp(0.5rem, 0.4rem + 0.5vw, 1rem);
    overflow: hidden;
    height: 400px;
}

.box-map iframe{
    width: 100%;
}

/*===*/
.wrapper-col-info-footer .col-inner{
    background: linear-gradient(
        180deg,
        rgba(0, 30, 97, 1) 0%,
        rgba(0, 30, 97, 0.5) 100%
    );
}

.form-contact .form-control{
    height: unset;
    background-color: #FFFFFF;
    padding: clamp(0.5rem, 0.45rem + 0.25vw, 0.75rem) 1rem;
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-radius: 5px;
    box-shadow: none !important;
}

.form-contact .form-control::placeholder{
    color: rgba(0, 0, 0, 0.5);
}

.form-contact textarea.form-control{
    height: 6rem;
}

.form-contact input[type=submit]{
    border-radius: 5px;
    margin: 0;
}




/*button contact*/
.button-contact-fixed{
    position: fixed;
    bottom: 8%;
    right: 0.25rem;
    z-index: 30;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.25rem;
}

.box-ring {
    width: clamp(4rem, 3.8rem + 1vw, 5rem);
    height: clamp(4rem, 3.8rem + 1vw, 5rem);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: visibility .5s;
    position: relative;
}

.box-ring-outline {
    position: absolute;
    width: clamp(4rem, 3.8rem + 1vw, 5rem);
    height: clamp(4rem, 3.8rem + 1vw, 5rem);
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transform-origin: 0 0;
    border: 2px solid rgba(30, 30, 30, 0.5);
    background-color: transparent;
    border-radius: 50%;
    opacity: .5;
    transition: all .5s;
    animation: coccoc-alo-circle-anim 1.2s infinite ease-in-out;
}

.box-ring-inline {
    position: absolute;
    left: 50%;
    top: 50%;
    width: clamp(3rem, 2.8rem + 1vw, 4rem);
    height: clamp(3rem, 2.8rem + 1vw, 4rem);
    transform: translate(-50%, -50%);
    transform-origin: 0 0;
    border: 2px solid transparent;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.5);
    transition: all .5s;
    animation: coccoc-alo-circle-fill-anim 2.3s infinite ease-in-out;
}

.box-ring-image{
    width: clamp(2.5rem, 2.4rem + 0.5vw, 3rem);
    height: clamp(2.5rem, 2.4rem + 0.5vw, 3rem);
    padding: 6px;
    border: 2px solid transparent;
    border-radius: 50%;
    background-color: #000;
    opacity: 1;
    animation: coccoc-alo-circle-img-anim 1s infinite ease-in-out;
}

.box-ring-image img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.box-ring-label{
	position: absolute;
	right: 2rem;
	height: 2.25rem;
	z-index: -1;
	padding: 0.25rem 3rem 0.25rem 1rem;
	border-radius: 50rem;
	white-space: nowrap;
	color: #fff;
	display: flex;
	align-items: center;
}

@keyframes coccoc-alo-circle-anim {
    0% {
        transform: rotate(0) scale(.5) skew(1deg) translate(-50%, -50%);
        opacity: .1
    }
    30% {
        transform: rotate(0) scale(.7) skew(1deg) translate(-50%, -50%);
        opacity: .5
    }
    100% {
        transform: rotate(0) scale(1) skew(1deg) translate(-50%, -50%);
        opacity: .1
    }
}

@keyframes coccoc-alo-circle-fill-anim {
    0% {
        transform: rotate(0) scale(.7) skew(1deg) translate(-50%, -50%);
    }
    50% {
        transform: rotate(0) scale(1) skew(1deg) translate(-50%, -50%);
    }
    100% {
        transform: rotate(0) scale(.7) skew(1deg) translate(-50%, -50%);
    }
}

@keyframes coccoc-alo-circle-img-anim {
    0% {
        transform: rotate(0) scale(1) skew(1deg)
    }
    10% {
        transform: rotate(-25deg) scale(1) skew(1deg)
    }
    20% {
        transform: rotate(25deg) scale(1) skew(1deg)
    }
    30% {
        transform: rotate(-25deg) scale(1) skew(1deg)
    }
    40% {
        transform: rotate(25deg) scale(1) skew(1deg)
    }
    50% {
        transform: rotate(0) scale(1) skew(1deg)
    }
    100% {
        transform: rotate(0) scale(1) skew(1deg)
    }
}